;;; ~/.doom.d/+ui.el -*- lexical-binding: t; -*-
;; Appearance settings
;; Set Font and theme
(setq doom-font (font-spec :family "Iosevka Medium" :size 24)
      doom-theme 'doom-nord)
;; Display Magit status in fullscreen
(after! magit
  (setq magit-display-buffer-function #'magit-display-buffer-fullframe-status-v1))
;; Match pdf-tools colors to the theme
(after! pdf-tools
  (setq pdf-view-midnight-colors '("#ECEFF4" . "#2E3440"))
  (add-hook 'pdf-tools-enabled-hook 'pdf-view-midnight-minor-mode))
;; Customize modeline
(setq doom-modeline-major-mode-icon t
      doom-modeline-persp-name t
      doom-modeline-buffer-encoding nil)
;; Hide direnv environment variables popup
(setq direnv-always-show-summary nil)
;; Disable LSP documentation popup
(after! lsp
  (setq lsp-ui-doc-enable nil
        lsp-signature-auto-activate nil))
;; Shrink minibuffer
(after! ivy
  (setq ivy-height 10))
;; Switch between light and dark theme
(after! heaven-and-hell
  (setq heaven-and-hell-themes
        '((light . doom-nord-light)
          (dark . doom-nord)))
  (setq heaven-and-hell-load-theme-no-confirm t)
  (map!
   :leader "t t" 'heaven-and-hell-toggle-theme))
(add-hook 'after-init-hook 'heaven-and-hell-init-hook)
